local mod = ...



-- Event: Immigration Trigger ---------------------------------------------------------------------------------------------
mod:register({
	DataType = "EVENT",
    Id = "EVENT_ALADDIN_IMMIGRATION",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = true,
    DaysBetweenOccurences = nil,
    DaysToFirst = 0,
    Delay = 0, 
    ConditionList = {
        {
            DataType = "GAME_CONDITION_BUILDING_BUILT",
            AssetBuilding = "BUILDING_VILLAGE_CENTER"
        },
    },
	ActionList = {
        {
            DataType = "EVENT_ACTION_GIVE_QUEST",
            Quest = "QUEST_ALADDIN_IMMIGRATION"
        }
    }
})



-- Quest: Immigration ---------------------------------------------------------------------------------------------
mod:register({
    DataType = "QUEST",
    Id = "QUEST_ALADDIN_IMMIGRATION",
    IsSilent = false,
	QuestFunction = {
        DataType = "QUEST_FUNCTION_PRODUCE_RESOURCE", 
        Resource = "RESOURCE_ALADDIN_TRIGGER"
    },
    QuestRewardList = {
        {
            DataType = "QUEST_REWARD_IMMIGRATION_WAVE"
        },
    },
    QuestFailList = nil,
    QuestListToUnlockAfter = nil,
    OnFailCallback = nil,
    OnSuccessCallback = {
        DataType = "EVENT_CALLBACK_TRIGGER_EVENT",
        Event = "EVENT_ALADDIN_IMMIGRATION"
    }
})


